<?php
/* required arguments:
 * inpos: int;
 * outpos: int;
 * period: string;
 * rrdin: path_to_rrdfile;
 * rrdout: path_to_rrdfile;
 * unit: string;
 *
 * note: for valid period input
 * 			see rrdtool manual;
 */
$obj = new StdClass;
foreach ($_GET as $k=>$v) {
	$obj->{$k} = $v;
}
if (!isset($obj->rrdin) || empty($obj->rrdin))
	exit("Arugument 'rrdin' is invalid or missing;");
if (!isset($obj->rrdout) || empty($obj->rrdout))
	exit("Argument 'rrdout' is invalid or missing;");
if (!isset($obj->outpos) || !is_numeric($obj->outpos))
	exit("Argument 'outpos' is invalid or missing;");
if (!isset($obj->inpos) || !is_numeric($obj->inpos))
	exit("Argument 'inpos' is invalid or missing;");
if (!isset($obj->unit) || empty($obj->unit))
	exit("Argument 'unit' is invalid or missing;");
require_once 'lib/rrd.php';
$rrdtools = new rrdtools();
$rranamein = $rrdtools->get_rra_name($obj->rrdin, $obj->inpos);
$rranameout = $rrdtools->get_rra_name($obj->rrdout, $obj->outpos);
if ($rranamein != false && $rranameout != false) {
	$coefin = $rrdtools->rrdtool_getLinkCoef($obj->unit);
	$coefout = $rrdtools->rrdtool_getLinkCoef($obj->unit);
	echo $rrdtools->rrdtool_graph($obj->rrdin, $rranamein, $obj->rrdout, $rranameout, $obj->to, $obj->from, $obj->period, $coefin, $coefout);
} else {
	exit("One of rrd files does not exist or is not readable;");
}
unset($rrdtools);
?>
